APT-GET(8)

NOME
apt-get - Utilitário de manuseamento de pacotes do APT -- interface de linha de comandos

SINOPSE

apt-get [-asqdyfmubV] [-o=config_string] [-c=ficheiro_de_configuração] [-t=lançamento-alvo] [-a=arquitectura] {update | upgrade | dselect-upgrade | dist-upgrade | install pkg [{=número_de_versão_do_pacote | /lançamento-alvo}]... | remove pkg... | purge pkg... | source pkg [{=número_de_versão_do_pacote | /lançamento-alvo}]... | build-dep pkg [{=número_de_versão_do_pacote | /lançamento-alvo}]... | download pkg [{=número_de_versão_do_pacote | /lançamento-alvo}]... | check | clean | autoclean | autoremove | {-v | --version} | {-h | --help}}

DESCRIÇÃO

apt-get é a ferramenta de linha de comandos para lidar com pacotes, e pode ser considerada o "back-end" dos utilizadores para outras ferramentas que usam a biblioteca APT. Existem várias interfaces "front-end" como o aptitude(8), synaptic(8) e wajig(1).

A menos que a opção -h, ou --help seja fornecida, um dos comandos abaixo têm que estar presentes.

update
    update é usado para re-sincronizar os ficheiros de índices de pacotes a partir das suas fontes. Os índices dos pacotes disponíveis são obtidos a partir das localizações em /etc/apt/sources.list. Por exemplo, quando se usa um arquivo Debian, este comando recolhe e analisa os ficheiros Packages.gz para que a informação sobre pacotes novos e actualizados fique disponível. Um update deve ser sempre executado antes de um upgrade ou dist-upgrade. Por favor note que a medição do processo total ira estar incorrecta pois o tamanho dos ficheiros de pacotes não pode ser conhecido com antecedência.

upgrade
    upgrade é usado para instalar as versões mais recentes de todos os pacotes presentemente instalados no sistema a partir das fontes enumeradas em /etc/apt/sources.list. Os pacotes presentemente instalados com versões novas são obtidos e instalados; em nenhumas circunstâncias os pacotes presentemente instalados serão removidos, nem pacotes já instalados serão obtidos e instalados.Os pacotes presentemente instalados com novas versões e que não possam ser actualizados sem alterarem o estado da instalação de outro pacote serão deixados na versão presente. Deve ser executado primeiro um update para que o apt-get fique a saber que estão disponíveis novas versões de pacotes.

dist-upgrade
    dist-upgrade adicionalmente a executar a função do upgrade, também lida inteligentemente com as alterações de dependências com as novas versões de pacotes; o apt-get tem um sistema de resolução de conflitos 'inteligente', que irá tentar actualizar os pacotes mais importantes a custo dos pacotes menos importantes, caso necessário. Portanto, o comando dist-upgrade pode remover alguns pacotes. O ficheiro /etc/apt/sources.list contém uma lista de localizações de onde obter os ficheiros de pacotes desejados. Veja também apt_preferences(5) para um mecanismo para sobrepor as definições gerais em pacotes individuais.

dselect-upgrade
    dselect-upgrade é usado em conjunto com o front-end de pacotes Debian tradicional, dselect(1). dselect-upgrade segue as alterações feitas pelo dselect(1) ao campo Status dos pacotes disponíveis, e executa as acções necessárias para realizar esse estado (por exemplo, a remoção de pacotes antigos e a instalação de novos).

install
    install é seguido por um ou mais pacotes desejados para instalação ou actualização. Cada pacote é um nome de pacote, não um nome de ficheiro completamente qualificado (por exemplo, num sistema Debian GNU/Linux, apt-utils seria o argumento fornecido e não apt-utils_1.2.12_amd64.deb). Todos os pacotes necessários pelos pacotes especificados para instalação irão também ser obtidos e instalados. O ficheiro /etc/apt/sources.list é usado para localizar os pacotes desejados. Se for acrescentado um sinal menos (-) ao nome do pacote (sem nenhum espaço a separar), o pacote identificado irá ser removido se estiver instalado. À semelhança, um sinal mais (+) pode ser usado para designar um pacote a instalar. Estas últimas funcionalidades podem ser usadas para sobrepor decisões feitas pelo sistema de resolução de conflitos do apt-get.

    Pode ser seleccionada para instalação uma versão específica de um pacote ao continuar o nome do pacote com um igual (=) e a versão do pacote a seleccionar. Isto irá fazer com que essa versão seja localizada e seleccionada para instalação. Alternativamente pode ser seleccionada uma distribuição específica ao continuar o nome do pacote com uma slash (/) e a versão da distribuição ou o nome de Arquivo (stable, testing, unstable).

    Ambos os mecanismos de selecção de versão podem regredir pacotes (downgrade) e devem ser usados com cuidado.

    Este é também o objectivo a usar se deseja actualizar um ou mais pacotes já instalados sem actualizar todos os pacotes que tem no seu sistema. Ao contrário do objectivo "upgrade", o qual instala as versões mais recentes de todos os pacotes presentemente instalados, o "install" irá instalar a versão mais recente apenas dos pacotes especificados. Simplesmente forneça o nome do(s) pacote(s) que deseja actualizar, e se estiver disponível uma nova versão, ela ( e as suas dependências, como descrito em cima) serão descarregadas e instaladas.

    Finalmente, o mecanismo apt_preferences(5) permite-lhe criar uma política de instalação alternativa para pacotes individuais.

    Se nenhum pacote coincidir com a expressão fornecida e a expressão conter um de '.', '?' ou '*' então é assumido ser uma expressão regular POSIX, e é aplicada a todos os nomes de pacotes da base de dados. Quaisquer correspondências são então instaladas (ou removidas). Note que a correspondência é feita por substring, portanto 'lo.*' corresponde a 'how-lo' e 'lowest'. Se isto for indesejável, ancore a expressão regular com a caractere '^' ou '$', para criar uma expressão regular mais específica.

remove
    remove é idêntico a install à excepção que os pacotes são removidos em vez de instalados. Note que remover um pacote deixa os seus ficheiros de configuração no sistema. Se um sinal mais (+) for acrescentado ao nome do pacote (sem nenhum espaço a separar), o pacote identificado será instalado em vez de removido.

purge
    purge é idêntico ao remove com a excepção que os pacotes são removidos e purgados (quaisquer ficheiros de configuração são também apagados).

source
    source faz com que o apt-get procure pacotes fonte. O APT irá examinar os pacotes disponíveis para decidir qual pacote fonte obter. Irá então encontrar e descarregar para o directório actual a versão disponível mais recente desse pacote fonte enquanto respeita o lançamento predefinido, definido com a opção APT::Default-Release, a opção -t ou por pacote com a sintaxe pkg/release, se possível.

    Os pacotes fonte são acompanhados em separado dos pacotes binários via linhas deb- src no ficheiro sources.list(5). Isto quer dizer que você precisa de adicionar uma dessas linhas para cada repositório de onde deseja obter fontes; caso contrário, irá provavelmente obter versões de fonte erradas (muito antigas/muito novas) ou mesmo nenhuma.

    Se for especificada a opção --compile então o pacote irá ser compilado para um binário .deb usando dpkg-buildpackage para a arquitectura definida pela opção --host-architecture. Se for especificado --download-only então o pacote fonte não será desempacotado.

    Uma versão fonte específica pode ser obtida ao pós-fixar o nome da fonte com um igual (=) e depois a versão a procurar, semelhante ao mecanismo usado para os ficheiros de pacotes. Isto activa a correspondência exacta do pacote fonte, nome e versão, activando implicitamente a opção APT::Get::Only-Source.

    Note que os pacotes fonte não são instalados e acompanhados na base de dados do dpkg como os pacotes binários; eles são simplesmente descarregados para o directório actual, como tarballs fonte.

build-dep
    build-dep faz o apt-get instalar/remover pacotes numa tentativa de satisfazer dependências de compilação para um pacote fonte. Por predefinição, as dependências são satisfeitas para compilar o pacote nativamente. Se desejado, em vez disso, pode ser especificada uma arquitectura-anfitriã com a opção --host-architecture.

check
    check é uma ferramenta de diagnóstico; actualiza a cache de pacotes e verifica por dependências quebradas.

download
    download irá descarregar o pacote binário dado para o directório actual.

clean
    clean limpa o repositório local dos ficheiros de pacotes obtidos. Remove tudo excepto o ficheiro lock de /var/cache/apt/archives/ e /var/cache/apt/archives/partial/.

autoclean (and the auto-clean alias since 1.1)
    Tal como o clean, autoclean limpa o repositório local de ficheiros de pacotes obtidos. A diferença é que apenas remove ficheiros de pacotes que já não podem ser mais descarregados, e são na maioria dos casos inúteis. Isto permite a manutenção de uma cache durante um longo período sem que ela cresça descontroladamente. A opção de configuração APT::Clean-Installed irá prevenir que pacotes instalados sejam apagados se estiver definida para 'off'.

autoremove (and the auto-remove alias since 1.1)
    autoremove é usado para remover pacotes que foram instalados automaticamente para satisfazer dependências de outros pacotes e que já não são necessários.

changelog
    changelog tries to download the changelog of a package and displays it through sensible-pager. By default it displays the changelog for the version that is installed. However, you can specify the same options as for the install command.

indextargets
    Displays by default a deb822 formatted listing of information about all data files (aka index targets) apt-get update would download. Supports a --format option to modify the output format as well as accepts lines of the default output to filter the records by. The command is mainly used as an interface for external tools working with APT to get information as well as filenames for downloaded files so they can use them as well instead of downloading them again on their own. Detailed documentation is omitted here and can instead be found in the source tree in doc/acquire-additional-files.txt.

OPÇÕES

Todas as opções de linha de comandos podem ser definidas usando o ficheiro de configuração, as descrições indicam a opção de configuração a definir. Para opções booleanas você pode sobre por o ficheiro de configuração usando algo como -f-,--no-f, -f=no ou várias outras variantes.

--no-install-recommends
    Não considera pacotes recomendados como dependências para instalação. Item de Configuração: APT::Install-Recommends.

--install-suggests
    Considera pacotes sugeridos como uma dependência para instalação. Item de Configuração: APT::Install-Suggests.

-d, --download-only
    Apenas descarrega; os ficheiros pacotes são apenas obtidos, não são desempacotados nem instalados. Item de Configuração: APT::Get::Download-Only.

-f, --fix-broken
    Corrige; tenta corrigir um sistema com dependências quebradas no lugar. Esta opção, quando usada com install/remove, pode omitir quaisquer pacotes para permitir ao APT deduzir uma solução provável. Se forem especificados pacotes, este têm de corrigir completamente o problema. A opção é por vezes necessária quando se corre o APT pela primeira vez. O próprio APT não permite que existam num sistema dependências de pacotes quebradas. É possível que uma estrutura de dependências de um sistema esteja tão corrompida ao ponto de requerer intervenção manual (o que normalmente significa usar o dpkg --remove para eliminar alguns dos pacotes ofensivos). O uso desta opção juntamente com -m pode produzir um erro em algumas situações. Item de Configuração: APT::Get::Fix-Broken.

-m, --ignore-missing, --fix-missing
    Ignora pacotes em falta; Se pacotes não podem ser obtidos ou falham a verificação de integridade após obtenção (ficheiros de pacotes corrompidos), retêm esses pacotes e manuseia o resultado. Usar esta opção em conjunto com -f pode produzir erros em algumas situações. Se um pacote for seleccionado para instalação (particularmente se for mencionado na linha de comandos) e não pode ser descarregado estão será retido em silêncio. Item de Configuração: APT::Get::Fix-Missing.

--no-download
    Desactiva a descarga de pacotes. Isto é melhor ser usado com --ignore-missing para forçar o APT a usar os .debs que já foram descarregados. Item de Configuração: APT::Get::Download.

-q, --quiet
    Silencioso; produz saída apropriada para registar em log, omitindo indicadores de progresso. Mais q's irá resultar em mais silêncio até o máximo de 2. Você também pode usar -q=# para definir o nível de silêncio, sobrepondo o ficheiro de configuração. Note que o silêncio nível 2 implica -y, você nunca deve usar -qq sem um modificador de 'nenhuma acção' tal como -d, --print-uris ou -s pois o APT pode decidir fazer algo que você não esperava. Item de Configuração: quiet.

-s, --simulate, --just-print, --dry-run, --recon, --no-act
    No action; perform a simulation of events that would occur based on the current system state but do not actually change the system. Locking will be disabled (Debug::NoLocking) so the system state could change while apt-get is running. Simulations can also be executed by non-root users which might not have read access to all apt configuration distorting the simulation. A notice expressing this warning is also shown by default for non-root users (APT::Get::Show-User-Simulation-Note). Configuration Item: APT::Get::Simulate.

    As simulações escrevem uma série de linhas cada uma representando uma operação do dpkg: configurar (Conf), remover (Remv) ou desempacotar (Inst). Parêntesis rectos ([]) indicam pacotes quebrados e parêntesis rectos vazios indicam quebras que não têm consequência (raro).

-y, --yes, --assume-yes
    Responde sim automaticamente aos avisos; assume "yes" como resposta a todos os avisos e corre não-interactivamente. Se uma situação indesejável ocorrer, tal como alterar um pacote retido, tentar instalar um pacote não autenticado ou remover um pacote essencial, então o apt-get irá abortar. Item de Configuração: APT::Get::Assume-Yes.

--assume-no
    Resposta "Não" automática a todos os avisos. Item de Configuração: APT::Get::Assume-No.

-u, --show-upgraded
    Mostra pacotes actualizados; Escreve uma lista de todos os pacotes que estão prestes a ser actualizados. Item de Configuração: APT::Get::Show-Upgraded.

-V, --verbose-versions
    Mostra as versões completas para pacotes actualizados e instalados. Item de Configuração: APT::Get::Show-Versions.

-a, --host-architecture
    Esta opção controla a arquitectura para que os pacotes são compilados pelo apt-get source --compile e como as dependências cruzadas de compilação são satisfeitas. Por predefinição não está activa o que significa que a arquitectura anfitriã é a mesma que a arquitectura de compilação (a qual é definida por APT::Architecture). item de Configuração: APT::Get::Host-Architecture

-P, --build-profiles
    Esta opção controla perfis de compilação activados pelos quais um pacote fonte é compilado por apt-get source --compile e como as dependências de compilação são satisfeitas. Por predefinição, nenhum perfil de compilação está activo. Podem ser activados ao mesmo tempo mais do que um perfil de compilação ao concatená-los com uma vírgula. Item de configuração: APT::Build-Profiles.

-b, --compile, --build
    Compila pacotes fonte após os descarregar. Item de Configuração: APT::Get::Compile.

--ignore-hold
    Ignora pacotes retidos; Isto faz com que o apt-get ignore a retenção de um pacote. Isto pode ser útil em conjunto com dist-upgrade para sobrepor um grande número de retenções não desejadas. Item de Configuração: APT::Ignore-Hold.

--with-new-pkgs
    Permite a instalação de novos pacotes quando usado em conjunto com upgrade. Isto é útil se a actualização de um pacote instalado requerer que sejam instaladas novas dependências. Em vez de reter o pacote, o upgradeirá actualizar o pacote e instalar as novas dependências. Note que upgrade com esta opção nunca irá remover pacotes, apenas permitir adicionar novos. Item de configuração: APT::Get::Upgrade-Allow-New.

--no-upgrade
    Não actualiza pacotes; Quando usado em conjunto com install, o no-upgrade irá prevenir que pacotes sejam actualizados na linha de comandos se estes já estiverem instalados. Item de Configuração: APT::Get::Upgrade.

--only-upgrade
    Não instala pacotes novos; quando usado em conjunto com install, only-upgrade irá instalar apenas actualizações para pacotes já instalados e ignorar pedidos para instalar novos pacotes. Item de Configuração: APT::Get::Only-Upgrade.

--allow-downgrades
    This is a dangerous option that will cause apt to continue without prompting if it is doing downgrades. It should not be used except in very special situations. Using it can potentially destroy your system! Configuration Item: APT::Get::allow-downgrades. Introduced in APT 1.1.

--allow-remove-essential
    Force yes; this is a dangerous option that will cause apt to continue without prompting if it is removing essentials. It should not be used except in very special situations. Using it can potentially destroy your system! Configuration Item: APT::Get::allow-remove-essential. Introduced in APT 1.1.

--allow-change-held-packages
    Force yes; this is a dangerous option that will cause apt to continue without prompting if it is changing held packages. It should not be used except in very special situations. Using it can potentially destroy your system! Configuration Item: APT::Get::allow-change-held-packages. Introduced in APT 1.1.

--force-yes
    Force yes; this is a dangerous option that will cause apt to continue without prompting if it is doing something potentially harmful. It should not be used except in very special situations. Using force-yes can potentially destroy your system! Configuration Item: APT::Get::force-yes. This is deprecated and replaced by --allow-downgrades, --allow-remove-essential, --allow-change-held-packages in 1.1.

--print-uris
    Ao invés de ir buscar os ficheiros para instalar, escreve os seus URIs. Cada URI irá ter o caminho, o nome de ficheiro de destino, o tamanho e o hash MD5 esperado. Note que o nome de ficheiro a escrever nem sempre irá condizer com o nome do ficheiro no site remoto! Isto também funciona com os comandos source e update. Quando usado com o comando update o MD5 e o tamanho não são incluídos, e cabe ao utilizador descomprimir quaisquer ficheiros comprimidos. Item de Configuração: APT::Get::Print-URIs.

--purge
    Usa purgar em vez de remoção para tudo o que seja removido. Um asterisco ("*") será mostrado junto dos pacotes que estão agendados para serem purgados. remove --purge é equivalente ao comando purge. Item de Configuração: APT::Get::Purge.

--reinstall
    Re-instala pacotes que já estão instalados e na versão mais recente. Item de Configuração: APT::Get::ReInstall.

--list-cleanup
    Esta opção está ligada por predefinição; use --no-list-cleanup para a desligar. Quando ligada o apt-get irá gerir automaticamente os conteúdos de /var/lib/apt/lists para assegurar que os ficheiros obsoletos são apagados. A única razão para desligar isto é no caso de você alterar frequentemente a sua lista de fontes. Item de Configuração: APT::Get::List-Cleanup.

-t, --target-release, --default-release
    Esta opção controla a entrada predefinida para o motor de políticas, cria um pin predefinido na prioridade 990 usando a string de lançamento especificada. Isto sobrepõe as definições gerais em /etc/apt/preferences. Os pacotes com pin específico não são afectados pelo valor desta opção. Em resumo, esta opção permite-lhe ter controlo simples sobre de qual distribuição os pacotes serão obtidos. Alguns exemplos comuns podem ser -t '2.1*', -t unstable ou -t sid. Item de Configuração: APT::Default-Release; veja também o manual apt_preferences(5).

--trivial-only
    Apenas executa operações 'triviais'. Na lógica isto pode ser considerado relacionado ao --assume-yes, onde --assume-yes irá responder 'sim' a todos os avisos, --trivial-only irá responder 'não'. Item de Configuração: APT::Get::Trivial-Only.

--no-remove
    Se quaisquer pacotes estiverem para ser removidos, o apt-get aborta imediatamente sem aviso. Item de Configuração: APT::Get::Remove.

--auto-remove
    Se o comando for install ou remove, então esta opção age como se corresse o comando autoremove, removendo os pacotes de dependências não utilizados. Item de Configuração: APT::Get::AutomaticRemove.

--only-source
    Apenas tem significado para os comandos source e build-dep. Indica que os nomes de fontes fornecidos não são para serem mapeados através da tabela de binários. Isto quer dizer que se esta opção for especificada, estes comandos apenas irão aceitar nomes de pacotes fonte como argumentos, em vez de aceitarem nomes de pacotes binários e procurar o pacote fonte correspondente. Item de Configuração: APT::Get::Only-Source.

--diff-only, --dsc-only, --tar-only
    Descarrega apenas o ficheiro diff, dsc, ou tar de um pacote fonte. Item de Configuração: APT::Get::Diff-Only, APT::Get::Dsc-Only, e APT::Get::Tar-Only.

--arch-only
    Apenas processa dependências de compilação dependentes da arquitectura. Item de Configuração: APT::Get::Arch-Only.

--allow-unauthenticated
    Ignore if packages can't be authenticated and don't prompt about it. This can be useful while working with local repositories, but is a huge security risk if data authenticity isn't ensured in another way by the user itself. The usage of the Trusted option for sources.list(5) entries should usually be preferred over this global override. Configuration Item: APT::Get::AllowUnauthenticated.

--no-allow-insecure-repositories
    Forbid the update command to acquire unverifiable data from configured sources. Apt will fail at the update command for repositories without valid cryptographically signatures. Configuration Item: Acquire::AllowInsecureRepositories.

--show-progress
    Mostra informação de progresso compreensível para o utilizador na janela de terminal quando os pacotes são instalados, actualizados ou removidos. Para uma versão "analisável por máquina" destes dados veja o README.progress-reporting no directório doc do apt. Item de Configuração: Dpkg::Progress e Dpkg::Progress-Fancy.

-h, --help
    Mostra um sumário curto da utilização.

-v, --version
    Mostra a versão do programa.

-c, --config-file
    Ficheiro de Configuração; Especifica o ficheiro de configuração a usar. O programa irá ler o ficheiro de configuração predefinido e depois este ficheiro de configuração. Se as definições de configuração precisarem de ser definidas antes, os ficheiros de configuração predefinidos são analisados especificando um ficheiro com a variável de ambiente APT_CONFIG. Veja apt.conf(5) para informação de sintaxe.

-o, --option
    Define uma Opção de Configuração; Isto irá definir uma opção de configuração arbitrária. A sintaxe é -o Foo::Bar=bar. -o e --option podem ser usadas várias vezes para definir opções diferentes.

FICHEIROS

/etc/apt/sources.list
    Localizações de onde obter pacotes. Item de Configuração: Dir::Etc::SourceList.

/etc/apt/sources.list.d/
    Ficheiros fragmentados para localizações de onde obter pacotes. Item de Configuração: Dir::Etc::SourceParts.

/etc/apt/apt.conf
    Ficheiro de configuração do APT. Item de Configuração: Dir::Etc::Main.

/etc/apt/apt.conf.d/
    Ficheiros de configuração fragmentados do APT. Item de Configuração: Dir::Etc::Parts.

/etc/apt/preferences
    Ficheiro de preferências de versão. Isto é onde você deve especificar "pinning", isto é, uma preferência para obter certos pacotes A partir de uma fonte separada ou a partir duma versão diferente de uma distribuição. Item de Configuração: Dir::Etc::Preferences.

/etc/apt/preferences.d/
    Ficheiros fragmentados para as preferências de versão. Item de Configuração: Dir::Etc::PreferencesParts.

/var/cache/apt/archives/
    Área de armazenamento para ficheiros de pacotes obtidos. Item de Configuração: Dir::Cache::Archives.

/var/cache/apt/archives/partial/
    Área de armazenamento para ficheiros de pacotes em curso. Item de Configuração: Dir::Cache::Archives será implicitamente acrescentado (partial)

/var/lib/apt/lists/
    Área de armazenamento para informação de estado para cada recurso de pacote especificado em sources.list(5) Tem de Configuração: Dir::State::Lists.

/var/lib/apt/lists/partial/
    Área de armazenamento para informação de estado em trânsito. Item de Configuração: Dir::State::Lists será implicitamente acrescentado (partial)

VEJA TAMBÉM

apt-cache(8), apt-cdrom(8), dpkg(1), sources.list(5), apt.conf(5), apt-config(8), apt-secure(8), O guia de utilizadores do The APT em /usr/share/doc/apt-doc/, apt_preferences(5), o Howto do APT.

DIAGNÓSTICO

apt-get devolve zero na operação normal, 100 decimal em erro.

BUGS

página de bugs do APT[1]. Se deseja reportar um bug no APT, por favor veja /usr/share/doc/debian/bug-reporting.txt ou o comando reportbug(1).

TRADUÇÂO

A tradução Portuguesa foi feita por Américo Monteiro <a_monteiro@netcabo.pt> de 2009 a 2012. A tradução foi revista pela equipa de traduções portuguesas da Debian <traduz@debianpt.org>.

Note que este documento traduzido pode conter partes não traduzidas. Isto é feito propositadamente, para evitar perdas de conteúdo quando a tradução está atrasada relativamente ao conteúdo original.

AUTORES

Jason Gunthorpe

Equipa do APT

NOTAS

1.  página de bugs do APT
    http://bugs.debian.org/src:apt